#define SF_FADE_IN				0x0001		// Fade in, not out
#define SF_FADE_MODULATE		0x0002		// Modulate, don't blend
#define SF_FADE_ONLYONE			0x0004

#define FFADE_IN			0x0000		// Just here so we don't pass 0 into the function
#define FFADE_OUT			0x0001		// Fade out (not in)
#define FFADE_MODULATE		0x0002		// Modulate (don't blend)
#define FFADE_STAYOUT		0x0004		// ignores the duration, stays faded out until new ScreenFade message received


// Various constants

#define NTF_MAX_ENTS 1024
#define NTF_MAX_BEACONS 1024

#define FEAT_NONE 0

typedef struct modcmd_s
{
	bool Modified;
    int Argc;
    char Argv1[1024];
    char Argv2[1024];
    char Args[1024];
} modcmd_t;

#define FEAT_NONE 0
#define FEAT_ACTIVE (1<<0)


extern modcmd_t ModCmd;

// Bitfield of enabled features
extern int Features;
extern int TeamAlly[4];

extern int precached_models[256];
extern int precached_sounds[256];

extern char FSNTFVersion[32];

extern float NextCvarCheck;
extern float timed_messages_next;
//extern float timed_messages_next2;
extern float NextEntityCheck;

extern void FSGameDLLInit(void);
extern int FSDispatchKeyValue(edict_t *pEntity, KeyValueData *pkvd);
extern int FSClientCommand(edict_t *pEntity);
extern int FSDispatchSpawn(edict_t *pEntity);
extern int FSDispatchUse(edict_t *pEntity, edict_t *pOther);
extern int FSDispatchTouch(edict_t *pEntity, edict_t *pOther);
extern int FSDispatchBlocked(edict_t *pEntity, edict_t *pOther);
extern int FSDispatchThink(edict_t *pEntity);
extern int FSClientPutInServer(edict_t *pEntity);
extern int FSClientDisconnect(edict_t *pEntity);
extern int FSPlayerPreThink(edict_t *pEntity);
extern int FSPlayerPostThink(edict_t *pEntity);
extern int FSStartFrame(void);
extern void FSClientConnect( edict_t *pEntity, const char *pszName, const char *pszAddress, char szRejectReason[ 128 ]  );
extern int FSGetSGTeam(edict_t *pEntity);
extern void FSDropGun(edict_t *pEntity);
extern bool GunThink(edict_t *pEntity);

//extern bool NeoTFExampleWeapon(edict_t *pEntity);

//Aus

//extern void NeoTFRemoteDeploy(edict_t *pPlayer);
//extern bool NeoTFRemoteThink(edict_t *pEntity);
